Anonymous Login
2019-06-25 17:01 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000933v3.0 Release[All Projects] Generalpublic2013-08-28 11:27
Reporterw2p_user 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0000933: The finish date always gets set to 02/01/1970.
DescriptionI am creating a task with the start date as 26-Aug-2011 and the time set to 10 AM.
I set the duration to 6 hours and click on "finish date". The "finish date" field gets set to 02/01/1970 and the time to 06:30 AM.
Additional InformationI have changed all the Time zone information in all the php files to refer to "Asia/Calcutta" instead of "Europe/London". The compare function in date.php has also been changed to avoid an issue with the date/time getting changed to UTC.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000958closed Pending Requests Incorrect calculation of end date and duration in task edit pahe 
+Relationships

-Notes

~0002163

w2p_user (reporter)

User-Agent:Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0
Server:Apache/2.2.8 (Win32) DAV/2 mod_ssl/2.2.8 OpenSSL/0.9.8g mod_autoindex_color
PHP/5.2.5

~0002167

caseydk (administrator)

Could you check your PHP error log to see if anything is there?

For this release, we incorporate an Ajax-based calculation to perform the calculation on the backend instead of just Javascript on the front end..

~0002176

w2p_user (reporter)

I am not seeing any error messages. So I changed ini_set('display_errors', 1); in base.php and tried again.
The World icon keeps rotating and i dont get any output after that. I dont see any error messages anywhere; in the monitor, in the access_log, error_log or the phperrors log file to which error_log is set to in php.ini script.

~0002177

w2p_user (reporter)

i am seeing the following in the firefox error console.

Error: invalid regular expression flag b
Source File: http://10.2.0.99/actman1/lib/xajax/xajax_js/xajax_core.js
Line: 146, Column: 120
Source Code:
Warning: mktime() expects parameter 1 to be long, string given in D:\xampp\htdocs\actman1\lib\PEAR\Date.php on line 204

~0002200

baturin (reporter)

Same error in Mozilla as well as Chrome. Very annoying :(
How is it possible to do some debugging (where to look)?

~0002202

baturin (reporter)

Last edited: 2011-09-12 22:11

There is no such problem in 2.3.0 (Demo site is working perfectly).

~0002219

w2p_user (reporter)

I think upgrading to the php 5.3 and above will solve this problem.

~0002221

baturin (reporter)

??, possibly. We have tried to upgrade, but there are many working web apps and some of them (home-made in ancient times) fails with upgrade. So we are not yet migrated.

~0002238

lucia8888 (reporter)

One, when you hit the duration button no matter what date says in finish the duration defaults to 0 almost like milestone selection but of course not set.
Two, hit finish button, finish will default to 01/01/1970 every time.
Key in two dates it will save into task without calculating duration.
php5.2.5, w2p 2.4 upgraded today and ouch! didn't notice this bug in the trials.

~0002260

caseydk (administrator)

This one is solved in the latest development.. though I'm not sure what patch did it. :(
+Notes

-Issue History
Date Modified Username Field Change
2011-08-26 05:19 w2p_user New Issue
2011-08-26 05:30 w2p_user Note Added: 0002163
2011-08-28 20:25 caseydk Note Added: 0002167
2011-08-28 20:25 caseydk Status new => feedback
2011-08-30 00:09 w2p_user Note Added: 0002176
2011-08-30 00:11 w2p_user Note Added: 0002177
2011-09-11 20:08 caseydk Relationship added has duplicate 0000958
2011-09-12 02:54 baturin Note Added: 0002200
2011-09-12 22:10 baturin Note Added: 0002202
2011-09-12 22:11 baturin Note Edited: 0002202
2011-09-27 23:18 caseydk Project v2.4 Release (Closed) => v3.0 Release
2011-09-28 06:46 w2p_user Note Added: 0002219
2011-09-28 08:41 baturin Note Added: 0002221
2011-10-03 20:32 lucia8888 Note Added: 0002238
2011-10-21 01:06 caseydk Note Added: 0002260
2011-10-21 01:06 caseydk Status feedback => resolved
2011-10-21 01:06 caseydk Resolution open => fixed
2011-10-21 01:06 caseydk Assigned To => caseydk
2013-08-28 11:13 caseydk Fixed in Version => 3.0.0
2013-08-28 11:27 caseydk Status resolved => closed
+Issue History